package com.mortals.xhx.flowable.message;

import lombok.Data;

import java.util.List;

/**
 * 流程通知消息
 *
 * @author: zxfei
 * @date: 2021/9/9 10:43
 * @description:
 **/
@Data
public class FlowMessageReq {

    /**
     * 业务平台标识
     */
    private String platformSn;

    /**
     * 消息类型
     */
    private Integer type;

    /**
     * 业务系统key
     */
    private String businessKey;

    /**
     * 流程表单名称
     */
    private String processName;

    /**
     * 流程状态
     */
    private String processStatus;

    /**
     * 任务编号
     */
    private String taskId;

    /**
     * 流程实例id
     */
    private String processInstanceId;

    /**
     * 消息内容
     */
    private String content;

    /**
     * 审核人员
     */
    private List<String> assigneeList;

    /**
     * 表单名称
     */
    private String formName;
}
